=== debian/changelog ===
ros-foxy-lua-vendor (0.0.1-2focal) focal; urgency=high

  * Merge branch 'main' of https://github.com/OUXT-Polaris/lua_vendor into workflow/foxy
  * Merge pull request #2 <https://github.com/OUXT-Polaris/lua_vendor/issues/2> from OUXT-Polaris/workflow/dashing
    update CI workflow for dashing
  * update CMakeLists.txt
  * add CONTRIBUTING.md
  * update .github/workflows/ROS2-Dashing.yaml
  * update dependency.repos
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * Fix CmakeLists.txt
  * Add package.xml
  * Initial commit
  * Contributors: HansRobo, Kotaro Yoshimoto, Masaya Kataoka, robotx_buildfarm

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Fri, 02 Jul 2021 15:00:00 -0000
