=== debian/control ===
Source: ros-foxy-lua-vendor
Section: misc
Priority: optional
Maintainer: Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-copyright, ros-foxy-ament-cmake-cppcheck, ros-foxy-ament-cmake-cpplint, ros-foxy-ament-cmake-flake8, ros-foxy-ament-cmake-pep257, ros-foxy-ament-cmake-uncrustify, ros-foxy-ament-cmake-xmllint, ros-foxy-ament-lint-auto, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-lua-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: TODO: Package description
